Bug 1121466 (CVE-2014-5025, CVE-2014-5026) - CVE-2014-5025 CVE-2014-5026 cacti: cross-site scripting issues
Summary: CVE-2014-5025 CVE-2014-5026 cacti: cross-site scripting issues
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-5025, CVE-2014-5026
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140704,repor...
Depends On: 1121467 1121468
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 04:37 UTC by Murray McAllister
Modified: 2019-06-08 20:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:34:05 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-07-21 04:37:04 UTC
A number of cross-site scripting issues were found in Cacti. A user with console access could use these flaws to perform cross-site scripting attacks against other Cacti users.

Original report:

http://bugs.cacti.net/view.php?id=2456

Possible patch:

http://bugs.cacti.net/file_download.php?file_id=1125&type=bug

CVE request:

http://seclists.org/oss-sec/2014/q3/190

Comment 1 Murray McAllister 2014-07-21 04:38:41 UTC
Created cacti tracking bugs for this issue:

Affects: fedora-all [bug 1121467]
Affects: epel-all [bug 1121468]

Comment 2 Vasyl Kaigorodov 2014-07-23 15:40:33 UTC
CVE-2014-5025 was assigned to XSS in data_sources.php
CVE-2014-5026 was assigned to the below issues:

 - If you create a Graph Tree with Title: [XSS]

 - If you create a CDEF with Name: [XSS]

 - If you create a Data Source with Title: [XSS] you'll see a popup
   with the text "XSS" if you try any action (Delete, Change data
   template, Change Host, Enable...)

 - If you create a Graph with Title: [XSS]

 - If you create a Data Input Method with Name: [XSS]

 - If you create a Graph Template with Name: [XSS]

 - If you create a Host Templates with Name: [XSS]

Comment 4 Product Security DevOps Team 2019-06-08 02:34:05 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.